Drag and drop file upload
Bootstrap drag and drop file upload plugin
MD Bootstrap File Upload plugin is an extension that allows you to upload files by using drag and drop functionality. Easy to use, setup and customize.
To start working with drag and drop file upload plugin see "Getting Started" tab on this page.
Basic example
For each element with file upload plugin you have to add wrapper with class
file-upload-wrapper
.
<div class="file-upload-wrapper">
<input type="file" id="input-file-now" class="file-upload" />
</div>
$('.file-upload').file_upload();
Default value
You can add a default value
<div class="file-upload-wrapper">
<input type="file" id="input-file-now-custom-1" class="file-upload" data-default-file="https://mdbootstrap.com/img/Photos/Others/images/89.jpg" />
</div>
$('.file-upload').file_upload();
Custom height
You can set the height
<div class="file-upload-wrapper">
<input type="file" id="input-file-now-custom-2" class="file-upload"
data-height="500" />
</div>
$('.file-upload').file_upload();
Disable
You can disabled the input
<div class="file-upload-wrapper">
<input type="file" id="input-file-now-disabled-2" class="file-upload" disabled="disabled" data-default-file="https://mdbootstrap.com/img/Others/documentation/1.jpg" />
</div>
$('.file-upload').file_upload();
Max size
You can add a max file size
<div class="file-upload-wrapper">
<input type="file" id="input-file-max-fs" class="file-upload" data-max-file-size="2M" />
</div>
$('.file-upload').file_upload();
Drag and drop file upload - getting started : download & setup
Download
This plugin requires a purchase.
Buy Drag and drop file upload plugin

File upload

Angular Bootstrap 5 File upload plugin

MD Bootstrap's File Upload plugin is an extension that allows you to upload files by using drag and drop functionality. Easy to use, setup and customize.

Angular File upload plugin built with Bootstrap 5, Angular and Material Design. Many customization options like custom height, max size, confirmation message, and much more.

Note: Read the API tab to find all available options and advanced customization


Basic example

Use mdb-file-upload selector to render the file upload component.

        
            
            <mdb-file-upload></mdb-file-upload>
          
        
    

Default message example

By using [defaultMsg] input you can set main message of the file upload.

        
            
            <mdb-file-upload [defaultMsg]="'custom message'"></mdb-file-upload>
          
        
    

Custom height example

By using [height] input you can set its custom height.

        
            
            <mdb-file-upload [height]="500"></mdb-file-upload>
          
        
    

Max size

By using [maxFileSize] input you can set max size of a file.

        
            
            <mdb-file-upload [maxFileSize]="2"></mdb-file-upload>
          
        
    

Default value

By using [defaultPreview] input you can set default file in the file upload element.

        
            
            <mdb-file-upload
              [defaultPreview]="'https://mdbootstrap.com/img/Photos/Others/images/89.webp'"
            ></mdb-file-upload>
          
        
    

Disable

By using [disabled] input you can disable the component.

        
            
            <mdb-file-upload [disabled]="true"></mdb-file-upload>
          
        
    

Accept formats

By using [acceptedExtensions] input you can set allowed file types.

        
            
            <mdb-file-upload [acceptedExtensions]="'image/*, .pdf'"></mdb-file-upload>
          
        
    

Disabled remove button

By using [removeBtnDisabled] input you can remove "Remove button".

        
            
            <mdb-file-upload [removeBtnDisabled]="true"></mdb-file-upload>
          
        
    

Multiple files

By using [multiple] input you can allow to upload more than single file.

        
            
            <mdb-file-upload [multiple]="true"></mdb-file-upload>
          
        
    

Multiple with files limit

By using [maxFileQuantity] input you can set limit of uploaded files.

        
            
            <mdb-file-upload [multiple]="true" [maxFileQuantity]="3"></mdb-file-upload>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

File upload - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/file-upload
     
        
    

Import

        
            
          import { MdbFileUploadModule } from 'mdb-angular-file-upload';
          …
          @NgModule ({
            ...
            imports: [MdbFileUploadModule],
            ...
          })
        
        
    
        
            
        @import 'mdb-angular-file-upload/scss/file-upload.scss';
      
        
    

Inputs

Name Type Default Description
acceptedExtensions string | null null Allows you to set specific file formats
defaultPreview null / string null Allows you set default file
defaultMsg string 'Drag and drop a file here or click' Changes text of default message
disabled boolean false Makes drag and drop disabled
disabledRemoveBtn boolean false Allows you to disabled remove button
formatError string 'Your file has incorrect file format (correct format(s) ~~~)' Changes text of format's error (add '~~~' to show allowed formats)
height null / number null Changes height of dropzone
mainError string 'Ooops, something wrong happended.' Changes text of main error message
maxFileQuantity number Infinity Allows you to upload specific number of files
maxFileSize number Infinity Changes allowed file max size
maxSizeError string 'Your file is too big (Max size ~~~)' Changes text of size's error (add '~~~' to show value of max size)
multiple boolean false Allows you to upload more than single file
previewMsg string 'Drag and drop or click to replace' Changes text of file's preview
removeBtn string 'Remove' Changes text of remove button

Outputs

Name Type Description
fileAdded EventEmitter<File[]> Event fired when a file is uploaded.
fileRemoved EventEmitter<File> Event fired when a file is removed.
uploadError EventEmitter<MdbFileUploadError[]> Event fired when uploaded file has wrong format or wrong size.
        
            
            <mdb-file-upload (fileAdded)="onFileAdded($event)"></mdb-file-upload>                             
            
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              onFileAdded(event: File[]) {
                console.log('file added', event);
              }
            }                                       
            
        
    

Methods

Name Description Example
reset Manually resets the plugin. fileUpload.reset()
        
            
            <mdb-file-upload #fileUpload></mdb-file-upload>
            <button class="btn btn-danger" (click)="handleClick()">
              Reset file upload
            </button>            
            
        
    
        
            
            import { Component, ViewChild } from '@angular/core';
            import { MdbFileUploadComponent } from 'mdb-angular-file-upload';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              @ViewChild('fileUpload') fileUpload!: MdbFileUploadComponent;
            
              handleClick(): void {
                this.fileUpload.reset();
              }
            }
            
        
    

Advanced types

MdbFileUploadError

        
            
            interface MdbFileUploadError {
              type: string;
              message: string;
            }

File upload

Vue Bootstrap 5 File upload plugin

MD Bootstrap's File Upload plugin is an extension that allows you to upload files by using drag and drop functionality. Easy to use, setup and customize.

File upload plugin built with the latest Bootstrap 5. Many customization options like custom height, max size, confirmation message, and much more.

Note: Read the API tab to find all available options and advanced customization


Basic example

        
            
            <template>
              <MDBFileUpload />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";

              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

Default message example

By adding defaultMsg prop you can set main message of the file upload.

        
            
            <template>
              <MDBFileUpload defaultMsg="custom message" />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";
              
              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

Custom height example

By adding height prop you can set its custom height.

        
            
            <template>
              <MDBFileUpload :height="500" />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";
              
              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

Max size

By adding maxFileSize prop you can set max size of a file.

        
            
            <template>
              <MDBFileUpload :maxFileSize="2" />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";
              
              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

Default value

By adding defaultFiles prop you can set default files array in the file upload element.

        
            
            <template>
              <MDBFileUpload
                :defaultFiles="[
                  'https://mdbootstrap.com/img/Photos/Others/images/89.jpg',
                ]"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";
              
              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

Disable

By adding disabled prop you can disable the component.

        
            
            <template>
              <MDBFileUpload disabled />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";
              
              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

Accept formats

By adding accept prop you can set allowed file types.

        
            
            <template>
              <MDBFileUpload accept="image/*, .pdf" />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";
              
              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

Disabled remove button

By adding disabledRemoveBtn prop you can remove "Remove button".

        
            
            <template>
              <MDBFileUpload disabledRemoveBtn />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";
              
              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

Multiple files

By adding multiple prop you can allow to upload more than single file.

        
            
            <template>
              <MDBFileUpload multiple />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";
              
              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

Multiple with files limit

By adding maxFilesQuantity prop you can set limit of uploaded files.

        
            
            <template>
              <MDBFileUpload multiple :maxFilesQuantity="3" />
            </template>
          
        
    
        
            
            <script>
              import { MDBFileUpload } from "mdb-vue-file-upload";
              
              export default {
                components: {
                  MDBFileUpload
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBFileUpload } from "mdb-vue-file-upload";
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

File upload - API


Import

        
            
          <script>
            import { MDBFileUpload } from "mdb-vue-file-upload";
          </script>
        
        
    

Properties

Name Type Default Description
accept String '*' Allows you to set specific file formats
defaultFiles Array [] Allows you set default files
defaultMsg String 'Drag and drop a file here or click' Changes text of default message
disabled Boolean false Makes drag and drop disabled
disabledRemoveBtn Boolean false Allows you to disabled remove button
height Number Changes height of dropzone
mainError String 'Ooops, something wrong happended.' Changes text of main error message
maxFilesQuantity Number Infinity Allows you to upload specific number of files
maxFileSize Number Changes allowed file max size
maxSizeError String 'Your file is too big (Max size ~~~)' Changes text of size's error (add '~~~' to show value of max size)
multiple Boolean false Allows you to upload more than single file
previewMsg String 'Drag and drop or click to replace' Changes text of file's preview
removeBtn String 'Remove' Changes text of remove button

Methods

Name Description
clear Clears an input and file list
        
            
          <template>
            <MDBBtn color="primary" @click="fileRef?.clear()">Clear input</MDBBtn>
            <MDBFileUpload ref="fileRef" />
          </template>
        
        
    
        
            
          <script>
            import { MDBFileUpload } from "mdb-vue-file-upload";
            import { MDBBtn } from "mdb-vue-ui-kit";
            import { ref } from "vue";
            
            export default {
              components: {
                MDBFileUpload,
                MDBBtn,
              },
              setup() {
                const fileRef = ref(null);
                return {
                  fileRef,
                };
              },
            };
          </script>
        
        
    
        
            
          <script setup lang="ts">
            import { MDBFileUpload } from "mdb-vue-file-upload";
            import { MDBBtn } from "mdb-vue-ui-kit";
            import { ref } from "vue";
            
            const fileRef = ref<InstanceType<typeof MDBFileUpload> | null>(null);
          </script>
        
        
    

Events

Name Description
change This event fires immediately after any change. It returns a file list.
clear This event fires immediately after file upload plugin was cleared.
error This event fires immediately when you upload a file with a wrong size.
remove This event fires immediately when a file has been remove from file upload component. It returns a file list.

For example, to listen on file change add an event

        
            
          <template>
            <MDBFileUpload @change="handleChange" />
          </template>

File upload

React Bootstrap 5 File upload plugin

MD Bootstrap's File Upload plugin is an extension that allows you to upload files by using drag and drop functionality. Easy to use, setup and customize.

File upload plugin built with the latest Bootstrap 5. Many customization options like custom height, max size, confirmation message, and much more.

Note: Read the API tab to find all available options and advanced customization


Basic example

        
            
            import React from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              return (
                <MDBFileUpload />
              );
            }
          
        
    

Controlled value

        
            
            import React, { useState } from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              const [files, setFiles] = useState([]);

              return (
                <MDBFileUpload
                  files={files}
                  onChange={(files) => {
                    setFiles(files);
                  }}
                />
              );
            }
          
        
    

Default message example

By adding defaultMessage property you can set main message of the file upload.

        
            
            import React from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              return (
                <MDBFileUpload defaultMessage='custom message' />
              );
            }
          
        
    

Custom height example

        
            
            import React from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              return (
                <MDBFileUpload style={{ height: '500px' }} />
              );
            }
          
        
    

Max size

By adding maxFileSize property you can set max size of a file.

        
            
            import React from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              return (
                <MDBFileUpload maxFileSize='2M' />
              );
            }
          
        
    

Disable

By adding disabled property you can disable the component.

        
            
            import React from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              return (
                <MDBFileUpload disabled />
              );
            }
          
        
    

Accept formats

By adding acceptedExtensions property you can set allowed file types.

        
            
            import React from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              return (
                <MDBFileUpload acceptedExtensions='image/*' />
              );
            }
          
        
    

Disabled remove button

By adding disabledRemoveButton property you can remove "Remove button".

        
            
            import React from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              return (
                <MDBFileUpload disabledRemoveButton />
              );
            }
          
        
    

Multiple files

By adding multiple property you can allow to upload more than single file.

        
            
            import React from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              return (
                <MDBFileUpload multiple />
              );
            }
          
        
    

Multiple with files limit

By adding maxFileQuantity property you can set limit of uploaded files.

        
            
            import React from 'react';
            import { MDBFileUpload } from 'mdb-react-file-upload';

            export default function App() {
              return (
                <MDBFileUpload multiple maxFileQuantity={3} />
              );
            }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

File upload - API


Import

        
            
            import { MDBFileUpload } from 'mdb-react-file-upload';
          
        
    

Properties

FileUpload

Name Type Default Description Example
acceptedExtensions any [] Allows you to set specific file formats <MDBFileUpload acceptedExtensions="image/*" />
defaultFile string '' Allows to set default file <MDBFileUpload defaultFile="https://mdbcdn.b-cdn.net/img/Photos/Others/images/89.webp" />
defaultMessage string 'Drag and drop a file here or click' Changes text of default message <MDBFileUpload defaultMessage="Custom message" />
disabled boolean 'false' Makes drag and drop disabled <MDBFileUpload disabled />
disabledRemoveBtn boolean 'false' Allows you to disabled remove button <MDBFileUpload disabledRemoveBtn />
formatError string 'Your file has incorrect file format (correct format(s) ~~~)' Changes text of format's error (add '~~~' to show allowed formats) <MDBFileUpload formatError="Custom message" />
getInputFiles (files: File[]) => any - Returns current uploaded files array <MDBFileUpload getInputFiles={(files) => console.log(files)} />
mainError string 'Ooops, something wrong happended.' Changes text of main error message <MDBFileUpload mainError="Custom message" />
maxFileQuantity number 'Infinity' Allows you to upload specific number of files <MDBFileUpload maxFileQuantity={3} />
maxFileSize number | string '' Changes allowed file max size <MDBFileUpload maxFileSize="2M" />
maxSizeError string 'Your file is too big (Max size ~~~)' Changes text of size's error (add '~~~' to show value of max size) <MDBFileUpload maxSizeError="Custom message" />
multiple boolean 'false' Allows you to upload more than single file <MDBFileUpload multiple />

Events

Name Type Description
onRemove () => any This event fires immediately when the file is removed.
onChange onChange?: (files: File[]) => any Fires when the uploaded file or files array changes. Returns current uploaded files array
getInputFiles (files: File[]) => any Returns current uploaded files array